Servers
curl --request GET \
--url https://servers.flashrdp.com/api/server \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://servers.flashrdp.com/api/server"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://servers.flashrdp.com/api/server', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": "6b32bae9-83e9-44f9-afd4-244f1fa27a49",
"name": "Test VM",
"hostname": null,
"suspended": false,
"protected": false,
"migrating": false,
"deleting": false,
"backupCreating": false,
"rescue": false,
"vncEnabled": false,
"isoMounted": false,
"uefi": false,
"bootOrder": [
"hd",
"cdrom"
],
"memory": "1024 MB",
"cpu": "2 Core",
"storage": [
{
"capacity": "10 GB",
"enabled": true,
"primary": true,
"created": "2025-08-17T11:06:30+00:00"
}
],
"network": {
"primary": {
"mac": "00:FA:D9:01:AC:45",
"limit": null,
"ipv4": [
{
"address": "10.5.5.6",
"gateway": "10.5.5.1",
"netmask": "255.255.255.0"
}
],
"ipv6": [
{
"subnet": "2604:f440:4:5:4::/80",
"gateway": "2604:f440:4:5::1",
"addresses": [
"2604:f440:4:5:4::a"
]
}
]
},
"secondary": {
"mac": "00:E8:8B:7B:45:85",
"limit": null,
"ipv4": [
{
"address": "10.40.40.2",
"gateway": "10.40.40.1",
"netmask": "255.255.255.0"
}
],
"ipv6": [
{
"subnet": "2604:f440:4:5:5::/80",
"gateway": "2604:f440:4:5::1",
"addresses": [
"2604:f440:4:5:5::a"
]
}
]
}
},
"currentMonthlyPeriod": {
"start": "2025-10-17T00:00:00.000000Z",
"end": "2025-11-16T23:59:59.999999Z"
},
"created": "2025-08-17T11:06:30+00:00"
},
{
"id": "c23c0144-dd3a-4193-aaeb-bea5ad5e4ac0",
"name": "TEST VM",
"hostname": null,
"suspended": false,
"protected": false,
"migrating": false,
"deleting": false,
"backupCreating": false,
"rescue": false,
"vncEnabled": false,
"isoMounted": false,
"uefi": false,
"bootOrder": [
"hd",
"cdrom"
],
"memory": "4096 MB",
"cpu": "4 Core",
"storage": [
{
"capacity": "40 GB",
"enabled": true,
"primary": true,
"created": "2025-08-04T18:32:07+00:00"
}
],
"network": {
"primary": {
"mac": "00:AF:3C:C1:75:B1",
"limit": "20000 GB",
"ipv4": [
{
"address": "192.168.4.75",
"gateway": "192.168.4.1",
"netmask": "255.255.254.0"
}
],
"ipv6": []
},
"secondary": []
},
"currentMonthlyPeriod": {
"start": "2025-10-04T00:00:00.000000Z",
"end": "2025-11-03T23:59:59.999999Z"
},
"created": "2025-08-04T18:32:07+00:00"
}
],
"first_page_url": "/api/server?results=20&page=1",
"from": 1,
"last_page": 2,
"last_page_url": "/api/server?results=20&page=2",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/api/server?results=20&page=1",
"label": "1",
"active": true
},
{
"url": "/api/server?results=20&page=2",
"label": "2",
"active": false
},
{
"url": "/api/server?results=20&page=2",
"label": "Next »",
"active": false
}
],
"next_page_url": "/api/server?results=20&page=2",
"path": "/api/server",
"per_page": 20,
"prev_page_url": null,
"to": 20,
"total": 29
}This response has no body data.This response has no body data.Servers
Retrieves a paginated list of all servers associated with the account.
GET
/
server
Servers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Query Parameters
The number of results to be returned.
Required range:
1 <= x <= 200Last modified on June 20, 2026
⌘I